GET
/api/v1/persistent_volume/plans/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/plans/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/plans/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/plans/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the persistent volume sizes available in the region, with each plan’s display name, size (in TB - e.g. 0.01 = 10 GB), and monthly price. Use a plan’s size (in GB) as pv_size when creating a persistent volume.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region whose plans should be returned.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Available persistent volume plans.
Array<object>
object
name
string
size
Size in TB (0.01 = 10 GB).
number
location
string
price
Monthly price.
number
errors
object
message
string
Example
{ "code": 200, "data": [ { "name": "10 GB", "size": 0.01, "location": "Delhi", "price": 50 } ], "message": "Success"}